FROM alpine:3.7
MAINTAINER Disassembler <disassembler@dasm.cz>

RUN \
 # Install PHP runtime
 apk --no-cache add nginx php7 php7-ctype php7-fpm php7-gd php7-json php7-mbstring php7-mcrypt php7-opcache php7-session s6

RUN \
 # Install runtime dependencies
 apk --no-cache add php7-curl php7-imap php7-mysqli php7-pdo_mysql

RUN \
 # Download Ushahidi
 wget https://github.com/ushahidi/platform-release/releases/download/v3.8.0/ushahidi-platform-release-v3.8.0.tar.gz -O /tmp/ushahidi.tgz \
 && tar xzf /tmp/ushahidi.tgz -C /tmp \
 && mv /tmp/ushahidi-platform-release-v3.8.0/html /srv/ushahidi \
 # Create OS user
 && addgroup -S -g 8014 ushahidi \
 && adduser -S -u 8014 -h /srv/ushahidi -s /bin/false -g ushahidi -G ushahidi ushahidi \
 && chown -R ushahidi:ushahidi /srv/ushahidi/platform/application/logs /srv/ushahidi/platform/application/cache /srv/ushahidi/platform/application/media/uploads \
 # Cleanup
 && rm -rf /tmp/ushahidi.tgz /tmp/ushahidi-platform-release-v3.8.0

COPY docker/ /

VOLUME ["/srv/ushahidi/platform/application/media/uploads"]
EXPOSE 8014

CMD ["s6-svscan", "/etc/services.d"]
